// Sudokus con Clase
// Resolución de sudokus con técnicas reales
// (C) 2022 Salvador Pozo
// Con Clase https://conclase.net
//
// Declaración de la clase Fila

#ifndef FILA_H
#define FILA_H

#include "grupo.h"

class Fila : public Grupo
{
    public:
        Fila() { for(int i=0; i < 9; i++) cas[i] = nullptr; }
    virtual void Iniciar(Tablero &t, int n);                /**< Inicializa el array de casillas con el grupo n */
    virtual Casilla *DobleCandidatoYMas(Pareja par, int v); /**< Busca patrones X-Wing con alas, depende de si son filas o columnas */
};

#endif // FILA_H
