#include "importarSudoku.h"

BEGIN_EVENT_TABLE(importarSudoku, wxDialog)
    EVT_CLOSE(importarSudoku::OnClose)
    EVT_BUTTON(wxID_OK, importarSudoku::OnOk)
END_EVENT_TABLE()

importarSudoku::importarSudoku(wxWindow *wnd, unsigned char *cad)
    : wxDialog(wnd, -1, _T("Importar sudoku desde texto")), cadena(cad), buffer(cad)
{
    wxBoxSizer *boxVertical;
    wxBoxSizer *boxHorizontal;
    wxTextValidator valSudoku = wxTextValidator(wxFILTER_NUMERIC, &buffer);

    boxVertical = new wxBoxSizer(wxVERTICAL);

    boxHorizontal = new wxBoxSizer(wxHORIZONTAL);
    boxHorizontal->Add(new wxStaticText(this, wxID_ANY, _T("&Sudoku:")), wxSizerFlags().Border());
    control = new wxTextCtrl(this, idSudoku, wxEmptyString, wxDefaultPosition, wxSize(400, wxDefaultCoord), wxTE_MULTILINE , valSudoku);
    boxHorizontal->Add(control, wxSizerFlags().Border());
    boxVertical->Add(boxHorizontal, wxSizerFlags().Border(wxTOP).Right());

    boxVertical->Add(CreateStdDialogButtonSizer(wxOK | wxCANCEL), wxSizerFlags().Border());

    SetSizerAndFit(boxVertical);
}

importarSudoku::~importarSudoku() {}

void importarSudoku::OnClose(wxCloseEvent &event)
{
    Destroy();
}

void importarSudoku::OnOk(wxCommandEvent &event)
{
    buffer = control->GetValue();
    std::strncpy(reinterpret_cast<char*>(cadena), buffer.c_str(), 82);
    Destroy();
}
