/***************************************************************
 * Name:      sudokuApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2025-01-11
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "sudokuApp.h"
#include "sudokuMain.h"
#include "icono.xpm"

IMPLEMENT_APP(sudokuApp);

bool sudokuApp::OnInit()
{
    sudokuFrame* frame = new sudokuFrame(0L, _T("Resolución de Sudokus"));
    wxImage::AddHandler(new wxXPMHandler);
    wxIcon ic(icono_xpm);
    frame->Show();
    frame->SetIcon(ic); // To Set App Icon

    return true;
}
